Get customer

View as MarkdownOpen in Claude
Retrieves a customer's record and details.

Path parameters

customerIdintegerRequired

Payabli-generated customer ID. Maps to “Customer ID” column in the Payabli Portal.

Response

Success
customerIdlongOptional

The Payabli-generated unique ID for the customer.

customerNumberstringOptional<=250 characters

User-provided unique identifier for the customer. This is typically the customer ID from your own system.

customerUsernamestringOptional
Username for customer.
customerStatusintegerOptional

Customer Status. Possible values:

  • -99 Deleted
  • 0 Inactive
  • 1 Active
  • 85 Locked (typically due to multiple failed login attempts)
CompanystringOptional
Company name.
FirstnamestringOptional
Customer first name.
LastnamestringOptional
Customer last name.
PhonestringOptional
Customer phone number.
EmailstringOptionalformat: "email"<=320 characters
Customer email address.
AddressstringOptional
Customer address.
Address1stringOptional
Additional line for customer address.
CitystringOptional
Customer city.
StatestringOptional
Customer state.
ZipstringOptional
Customer postal code.
CountrystringOptional
Customer country.
ShippingAddressstringOptional<=250 characters
The shipping address.
ShippingAddress1stringOptional<=100 characters
Additional line for shipping address.
ShippingCitystringOptional<=250 characters
Shipping city.
ShippingStatestringOptional
Shipping state or province.
ShippingZipstringOptional<=50 characters

Shipping ZIP code. For Pay In functions, this field supports 5-digit and 9-digit ZIP codes and alphanumeric Canadian postal codes. For example: 37615-1234 or 37615.

ShippingCountrystringOptional
Shipping address country.
BalancedoubleOptional
Customer balance.
TimeZoneintegerOptional

Timezone, in UTC offset. For example, -5 is Eastern time.

MFAbooleanOptional

When true, multi-factor authentication (MFA) is enabled.

MFAModeintegerOptional
snProviderstringOptional

Social network linked to customer. Possible values:

  • facebook
  • google
  • twitter
  • microsoft
snIdentifierstringOptional
Identifier or token for customer in linked social network.
snDatastringOptional
Additional data provided by the social network related to the customer.
LastUpdateddatetimeOptional
Date and time of last update.
CreateddatetimeOptional
Date and time created.
AdditionalFieldsmap from strings to stringsOptional

List of additional custom fields in format key:value.

IdentifierFieldslist of stringsOptional
List of fields acting as customer identifiers, to be used instead of CustomerNumber.
Subscriptionslist of objectsOptional
List of subscriptions associated to the customer.
StoredMethodslist of objectsOptional
List of payment methods associated to the customer.
customerSummaryobjectOptional
PaypointLegalnamestringOptional
Paypoint legal name.
PaypointDbanamestringOptional
Paypoint DBA name.
ParentOrgNamestringOptional
The name of the parent organization.
ParentOrgIdlongOptional
The ID of the org's parent organization.
PaypointEntrynamestringOptional<=50 characters
The entrypoint identifier.
pageidentifierstringOptional
Auxiliary validation used internally by payment pages and components.
externalPaypointIDstringOptional
A custom identifier for the paypoint, if applicable.
customerConsentobjectOptional
customerPortalstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error